Description

HI,

I'm running a PHP program printing out some PDF lines which works fine on my local server - Apache XAMPP v3.3.0 - PHP v 7.3.29
but when | run on our live 1&1 Server with same PHP and same error reporting msg levels (E_ALL) . | get 1/2 GIG of warning msgs
and it eventually runs out of memory. Can you give me any advice on what/why it calls your tcpf_fonts.php at line 2002 ? and what
for?

Why would it loop round thousands of times causing the warnings ?

Error_log entries which get repeated until the final out of memory line:-

[28-Jul-2021 15:19:17 Europe/Dublin] PHP Warning: array_map(): Expected parameter 2 to be an array, bool given in
homepages/42/d267719562/htdocs/skyline/PDFvendor/vendor/tecnickcom/tcpdf/include/tcpdf_fonts.php on line 2002

[28-Jul-2021 15:19:17 Europe/Dublin] PHP Warning: array_merge(): Expected parameter 2 to be an array, null given in
/homepages/42/d267719562/htdocs/skyline/PDFvendor/vendor/tecnickcom/tcpdf/include/tcpdf_fonts.php on line 2010

[28-Jul-2021 15:19:17 Europe/Dublin] PHP Warning: count(): Parameter must be an array or an object that implements Countable in
/homepages/42/d267719562/htdocs/skyline/PDFvendor/library/interpid/PdfLib/Multicell.php on line 505

[28-Jul-2021 15:19:44 Europe/Dublin] PHP Fatal error: Out of memory (allocated 849350656) (tried to allocate 20480 bytes) in
/homepages/42/d267719562/htdocs/skyline/PDFvendor/library/interpid/PdfLib/Multicell.php on line 655

Could you advise where to start with this one ?

Many Thanks
Jerry

History

#1 - 07/29/2021 07:00 AM - Andrei Bintintan

- Status changed from New to Feedback

- Assignee changed from Andrei Bintintan to Jerry Quinnell

Hi Jerry,

| cannot tell like this. Which version of the class are you using?

Are the provided examples working?

| think you should start with the first error maybe
library/interpid/PdfLib/Multicell.php on line 505

What is going on in /tcpdf_fonts.php its part of the tcpdf library, | am just using that.
#2 - 07/29/2021 02:41 PM - Jerry Quinnell

Hi Andrei,

Ok thanks for the direction - | added an echo into your code and | narrowed it down to one character in my text that | was trying to print - when we

print out the area of a house in (meteres squared) m2 - the 2 is in superscript. This single superscript char caused all the code to loop and run out of
memory ..
Thats doesn't sound too correct ?!
Anyhow thanks for your help - | hope my small bug report helps you in someway ..

Rgds
Jerry

#3 - 07/29/2021 07:14 PM - Andrei Bintintan

No that doesn't sound tooo correct. Please send me the text sample. Also the version of the class you're using.

#4 - 12/12/2021 02:47 PM - Andrei Bintintan
- Status changed from Feedback to Closed

Closed due to inactivity
